<?php

add_action('init', 'simplerwc_clear_cart_after_order_create');

function simplerwc_clear_cart_after_order_create()
{
	$created = isset($_GET['simpler_order_created']) ? absint($_GET['simpler_order_created']) : false;

	if (1 === $created) {
		WC()->cart->empty_cart();
		\wp_safe_redirect(wc_get_cart_url());
		exit;
	}
}

add_action('woocommerce_order_refunded', 'simplerwc_woocommerce_order_refunded');

/**
 * Send a webhook to Simpler when an order is refunded.
 *
 * @param $order_id
 */
function simplerwc_woocommerce_order_refunded($order_id)
{
	(new WP_Http())->post(SIMPLERWC_REFUND_HOST, [
		'body'     => json_encode(['order_id' => $order_id]),
		'headers'  => [
			'Authorization' => 'Basic ' . base64_encode(\get_option('simpler_api_key') . ':' . \get_option('simpler_api_secret'))
		],
		'blocking' => false
	]);
}
