<?php

/**
 * Check whether WooCommerce is active.
 *
 * @return bool
 */
function simplerwc_is_woocommerce_active() {
	if ( ! function_exists( 'is_plugin_active' ) ) {
		require_once ABSPATH . '/wp-admin/includes/plugin.php';
	}

	return is_plugin_active( 'woocommerce/woocommerce.php' );
}

/**
 * Add hook for admin notice caused by missing WooCommerce plugin
 */
function simplerwc_admin_notice_woocommerce_is_missing() {
	add_action(
		'admin_notices',
		'simplerwc_display_admin_notice_for_missing_woocommerce'
	);
}

/**
 * Display the error message when WooCommerce plugin is missing.
 */
function simplerwc_display_admin_notice_for_missing_woocommerce() {
	printf(
		'<div class="notice notice-error"><p>%s</p></div>',
		'Simpler Plugin requires an active WooCommerce installation.'
	);
}